Skip to main content
POST
Add team member

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

The ID of the team

organization_id
string
required

Body

application/json

The member to add to the team

type
enum<string>
required

Type of member to add

Available options:
user,
sso_group
identifier
string
required

Email address for users, group name for SSO groups

role
enum<string>
required

Role within the team (editor or viewer)

Available options:
editor,
viewer

Response

Successful Response

A member of a team (user or SSO group).

id
string<uuid>
required

The unique identifier of this membership (UserRole ID)

type
enum<string>
required

Type of member - either a user or an SSO group

Available options:
user,
sso_group
identifier
string
required

Email address for users, group name for SSO groups

role
enum<string>
required

The role this member has within the team context (editor or viewer)

Available options:
editor,
viewer
added_at
string<date-time>
required

When the member was added to the team